## h3-pg 4.1.3

=== CMakeLists.txt ===
# Copyright 2022 Bytes & Brains
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Almost all CMake files should start with this
# You should always specify a range with the newest
# and oldest tested versions of CMake. This will ensure
# you pick up the best policies.

# Keep minimum version in sync with:
# https://github.com/uber/h3/blob/master/CMakeLists.txt
cmake_minimum_required(VERSION 3.20..3.24)

if(POLICY CMP0135)
  # Set the timestamps of all extracted contents to the time of the extraction
  cmake_policy(SET CMP0135 NEW)
endif()

# This is your project statement. You should always list languages;
# Listing the version is nice here since it sets lots of useful variables
project(
  h3-pg
  VERSION 4.1.3
  LANGUAGES C
)
# set this to "${PROJECT_VERSION}" on release
set(INSTALL_VERSION "${PROJECT_VERSION}")
#set(INSTALL_VERSION "unreleased")
set(H3_CORE_VERSION 4.1.0)
set(H3_CORE_SHA256 ec99f1f5974846bde64f4513cf8d2ea1b8d172d2218ab41803bf6a63532272bc)

# If you set any CMAKE_ variables, that can go here.
# (But usually don't do this, except maybe for C++ standard)
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# Allow forcing PostgreSQL version
set(POSTGRESQL_VERSION $ENV{POSTGRESQL_VERSION} CACHE STRING "PostgreSQL version major")

# Find packages go here.
find_package(PostgreSQL ${POSTGRESQL_VERSION} REQUIRED
  OPTIONAL_COMPONENTS PostGIS
)
include(AddPostgreSQLExtension)

add_definitions(-DPOSTGRESQL_VERSION_MAJOR=${PostgreSQL_VERSION_MAJOR})

# https://cliutils.gitlab.io/modern-cmake/chapters/testing.html
if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
  include(CTest)
endif()

# Include core library
add_subdirectory(cmake/h3)

# Include extensions and their shared code
add_subdirectory(include)
add_subdirectory(h3)
add_subdirectory(h3_postgis)

# Add target that bundles for pgxn
configure_file(META.json.in META.json)
add_custom_target(pgxn
  COMMAND git archive --format zip
                      --prefix="h3-${INSTALL_VERSION}/"
                      --add-file ${CMAKE_BINARY_DIR}/META.json
                      -o h3-${INSTALL_VERSION}.zip HEAD
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)

=== Makefile ===
# Copyright 2018-2022 Bytes & Brains
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# this file only exists to support pgxnclient

.PHONY: all install installcheck

all:
	cmake -B build -DCMAKE_BUILD_TYPE=Release
	cmake --build build

install:
	cmake --install build --component h3-pg

installcheck:
	ctest --output-on-failure --build-config Release

=== h3/CMakeLists.txt ===
PostgreSQL_add_extension(postgresql_h3
  RELOCATABLE
  NAME h3
  COMMENT "H3 bindings for PostgreSQL"
  VERSION ${INSTALL_VERSION}
  COMPONENT ${PROJECT_NAME}
  SOURCES
    src/binding/edge.c
    src/binding/hierarchy.c
    src/binding/indexing.c
    src/binding/inspection.c
    src/binding/miscellaneous.c
    src/binding/regions.c
    src/binding/traversal.c
    src/binding/vertex.c
    src/deprecated.c
    src/extension.c
    src/guc.c
    src/init.c
    src/opclass_btree.c
    src/opclass_hash.c
    src/operators.c
    src/srf.c
    src/type.c
  INSTALLS
    sql/install/00-type.sql
    sql/install/01-indexing.sql
    sql/install/02-inspection.sql
    sql/install/03-traversal.sql
    sql/install/04-hierarchy.sql
    sql/install/05-regions.sql
    sql/install/06-edge.sql
    sql/install/07-vertex.sql
    sql/install/08-miscellaneous.sql
    sql/install/10-operators.sql
    sql/install/11-opclass_btree.sql
    sql/install/12-opclass_hash.sql
    sql/install/13-opclass_brin.sql
    sql/install/20-casts.sql
    sql/install/30-extension.sql
    sql/install/99-deprecated.sql
  UPDATES
    sql/updates/h3--0.1.0.sql
    sql/updates/h3--0.1.0--0.2.0.sql
    sql/updates/h3--0.2.0--0.3.0.sql
    sql/updates/h3--0.3.0--0.3.1.sql
    sql/updates/h3--0.3.1--0.3.2.sql
    sql/updates/h3--0.3.2--0.4.0.sql
    sql/updates/h3--0.4.0--1.0.0.sql
    sql/updates/h3--1.0.0--1.0.1.sql
    sql/updates/h3--1.0.1--1.0.2.sql
    sql/updates/h3--1.0.2--1.0.3.sql
    sql/updates/h3--1.0.3--1.0.4.sql
    sql/updates/h3--1.0.4--1.0.5.sql
    sql/updates/h3--1.0.5--1.0.6.sql
    sql/updates/h3--1.0.6--3.4.0.sql
    sql/updates/h3--3.4.0--3.4.1.sql
    sql/updates/h3--3.4.1--3.5.0.sql
    sql/updates/h3--3.5.0--3.6.0.sql
    sql/updates/h3--3.6.0--3.6.1.sql
    sql/updates/h3--3.6.1--3.6.2.sql
    sql/updates/h3--3.6.2--3.6.3.sql
    sql/updates/h3--3.6.3--3.6.4.sql
    sql/updates/h3--3.6.4--3.6.5.sql
    sql/updates/h3--3.6.5--3.7.0.sql
    sql/updates/h3--3.7.0--3.7.1.sql
    sql/updates/h3--3.7.1--3.7.2.sql
    sql/updates/h3--3.7.2--4.0.0.sql
    sql/updates/h3--4.0.0--4.0.1.sql
    sql/updates/h3--4.0.1--4.0.2.sql
    sql/updates/h3--4.0.2--4.0.3.sql
    sql/updates/h3--4.0.3--4.1.0.sql
    sql/updates/h3--4.1.0--4.1.1.sql
    sql/updates/h3--4.1.1--4.1.2.sql
    sql/updates/h3--4.1.2--4.1.3.sql
)

# configure
configure_file(src/config.h.in src/config.h)

# include
target_include_directories(postgresql_h3 PRIVATE
  ${CMAKE_CURRENT_BINARY_DIR}/src
  src
)

# link
target_link_libraries(postgresql_h3 PRIVATE
  postgresql_h3_shared
  h3
)

# test
if(BUILD_TESTING)
  add_subdirectory(test)
endif()

=== h3_postgis/CMakeLists.txt ===
PostgreSQL_add_extension(postgresql_h3_postgis
  RELOCATABLE
  NAME h3_postgis
  COMMENT "H3 PostGIS integration"
  VERSION ${INSTALL_VERSION}
  COMPONENT ${PROJECT_NAME}
  REQUIRES
    h3
    postgis
    postgis_raster
  SOURCES
    src/init.c
    src/wkb_bbox3.c
    src/wkb_indexing.c
    src/wkb_linked_geo.c
    src/wkb_regions.c
    src/wkb_split.c
    src/wkb_vect3.c
    src/wkb.c
  INSTALLS
    sql/install/01-indexing.sql
    sql/install/03-traversal.sql
    sql/install/05-regions.sql
    sql/install/10-operators.sql
    sql/install/20-casts.sql
    sql/install/30-wkb.sql
    sql/install/40-rasters.sql
    sql/install/99-deprecated.sql
  UPDATES
    sql/updates/h3_postgis--4.0.0.sql
    sql/updates/h3_postgis--4.0.0--4.0.1.sql
    sql/updates/h3_postgis--4.0.1--4.0.2.sql
    sql/updates/h3_postgis--4.0.2--4.0.3.sql
    sql/updates/h3_postgis--4.0.3--4.1.0.sql
    sql/updates/h3_postgis--4.1.0--4.1.1.sql
    sql/updates/h3_postgis--4.1.1--4.1.2.sql
    sql/updates/h3_postgis--4.1.2--4.1.3.sql
)

# link
target_link_libraries(postgresql_h3_postgis PRIVATE postgresql_h3_shared h3)

# test
if(BUILD_TESTING AND PostgreSQL_PostGIS_FOUND)
  add_subdirectory(test)
endif()

=== h3/test/CMakeLists.txt ===
set(TESTS
  extension
  hierarchy
  indexing
  inspection
  miscellaneous
  opclass_brin
  opclass_btree
  opclass_hash
  regions
  traversal
  type
  edge
)

if(PostgreSQL_REGRESS)
  add_test(
    NAME h3_regress
    COMMAND ${PostgreSQL_REGRESS}
      --temp-instance=${CMAKE_BINARY_DIR}/tmp
      --bindir=${PostgreSQL_BIN_DIR}
      --inputdir=${CMAKE_CURRENT_SOURCE_DIR}
      --outputdir=${CMAKE_CURRENT_BINARY_DIR}
      --load-extension h3
      ${TESTS}
  )
endif()

if(PostgreSQL_VALIDATE_EXTUPGRADE)
  add_test(
    NAME h3_validate_extrupgrade
    COMMAND pg_validate_extupgrade
      --extname h3
      --from 0.1.0
      --to ${INSTALL_VERSION}
  )
endif()

# @TODO: Figure out how to inline on MacOS
if(NOT APPLE)
  add_test(
    NAME h3_inlined
    COMMAND sh -c "! objdump -D ${PostgreSQL_PKG_LIBRARY_DIR}/h3.so | grep radsToDegs"
    CONFIGURATIONS Release
  )
endif()

=== debian/changelog ===
h3-pg (4.1.3-2) unstable; urgency=medium

  * Test-depend on cmake.

 -- Christoph Berg <myon@debian.org>  Fri, 10 Nov 2023 11:36:26 +0100

h3-pg (4.1.3-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Sun, 05 Nov 2023 10:41:51 +0000

=== debian/control ===
Source: h3-pg
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 cmake (>= 3.20),
 debhelper-compat (= 13),
 libh3-dev,
 postgresql-all (>= 217~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/zachasme/h3-pg
Vcs-Browser: https://salsa.debian.org/postgresql/h3-pg
Vcs-Git: https://salsa.debian.org/postgresql/h3-pg.git

Package: postgresql-16-h3
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL bindings for H3, a hierarchical hexagonal geospatial indexing system
 H3 is a geospatial indexing system using a hexagonal grid that can be
 (approximately) subdivided into finer and finer hexagonal grids, combining the
 benefits of a hexagonal grid with S2's hierarchical subdivisions.
 .
 This package contains the PostgreSQL 16 extension.

=== debian/rules ===
#!/usr/bin/make -f

PGVERSIONS = $(shell pg_buildext supported-versions)

%:
	dh $@ --with pgxs

override_dh_auto_clean:

override_dh_auto_configure:
	set -eux; \
	for v in $(PGVERSIONS); do \
		echo "### PostgreSQL $$v cmake ###"; \
		cmake -B build-$$v -DPostgreSQL_CONFIG=/usr/lib/postgresql/$$v/bin/pg_config; \
		echo "### End $$v cmake ###"; \
	done

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	# defer testing to autopkgtest
	# testsuite creates its own PG instance and doesn't use extension_destdir (yet?)

=== debian/tests/control ===
Depends:
 cmake (>= 3.20),
 make,
 postgresql-16-postgis-3,
 @,
Tests: installcheck
Restrictions: allow-stderr

## h3-pg 4.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,7 @@
 # Listing the version is nice here since it sets lots of useful variables
 project(
   h3-pg
-  VERSION 4.1.3
+  VERSION 4.1.4
   LANGUAGES C
 )
 # set this to "${PROJECT_VERSION}" on release

=== h3/CMakeLists.txt ===
--- 
+++ 
@@ -73,6 +73,7 @@
     sql/updates/h3--4.1.0--4.1.1.sql
     sql/updates/h3--4.1.1--4.1.2.sql
     sql/updates/h3--4.1.2--4.1.3.sql
+    sql/updates/h3--4.1.3--4.1.4.sql
 )
 
 # configure

=== h3_postgis/CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,7 @@
     sql/updates/h3_postgis--4.1.0--4.1.1.sql
     sql/updates/h3_postgis--4.1.1--4.1.2.sql
     sql/updates/h3_postgis--4.1.2--4.1.3.sql
+    sql/updates/h3_postgis--4.1.3--4.1.4.sql
 )
 
 # link

=== h3/test/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 if(PostgreSQL_VALIDATE_EXTUPGRADE)
   add_test(
-    NAME h3_validate_extrupgrade
+    NAME h3_validate_extupgrade
     COMMAND pg_validate_extupgrade
       --extname h3
       --from 0.1.0

=== debian/changelog ===
h3-pg (4.1.4-1) unstable; urgency=medium

  * New upstream version 4.1.4.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Nov 2024 10:21:02 +0100

h3-pg (4.1.3-4) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.
  * Include math.h to have fabs.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Sep 2024 17:45:19 +0200

h3-pg (4.1.3-3) unstable; urgency=medium

  * Configure using dh_auto_configure to get verbose builds.
  * Test-Depend on build-essential and postgresql-server-dev-NN.

 -- Christoph Berg <myon@debian.org>  Fri, 10 Nov 2023 21:30:51 +0000

## h3-pg 4.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2022 Bytes & Brains
+# Copyright 2022 Zacharias Knudsen
 # 
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -30,14 +30,14 @@
 # Listing the version is nice here since it sets lots of useful variables
 project(
   h3-pg
-  VERSION 4.1.4
+  VERSION 4.2.2
   LANGUAGES C
 )
 # set this to "${PROJECT_VERSION}" on release
 set(INSTALL_VERSION "${PROJECT_VERSION}")
 #set(INSTALL_VERSION "unreleased")
-set(H3_CORE_VERSION 4.1.0)
-set(H3_CORE_SHA256 ec99f1f5974846bde64f4513cf8d2ea1b8d172d2218ab41803bf6a63532272bc)
+set(H3_CORE_VERSION 4.2.0)
+set(H3_CORE_SHA256 438db46fc2b388785d2a0d8e26aa5509739240a7b50b2510c416778d871a4e11)
 
 # If you set any CMAKE_ variables, that can go here.
 # (But usually don't do this, except maybe for C++ standard)

=== h3/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
     src/init.c
     src/opclass_btree.c
     src/opclass_hash.c
+    src/opclass_spgist.c
     src/operators.c
     src/srf.c
     src/type.c
@@ -36,6 +37,7 @@
     sql/install/11-opclass_btree.sql
     sql/install/12-opclass_hash.sql
     sql/install/13-opclass_brin.sql
+    sql/install/14-opclass_spgist.sql
     sql/install/20-casts.sql
     sql/install/30-extension.sql
     sql/install/99-deprecated.sql
@@ -74,6 +76,9 @@
     sql/updates/h3--4.1.1--4.1.2.sql
     sql/updates/h3--4.1.2--4.1.3.sql
     sql/updates/h3--4.1.3--4.1.4.sql
+    sql/updates/h3--4.1.4--4.2.0.sql
+    sql/updates/h3--4.2.0--4.2.1.sql
+    sql/updates/h3--4.2.1--4.2.2.sql
 )
 
 # configure

=== h3_postgis/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,9 @@
     sql/updates/h3_postgis--4.1.1--4.1.2.sql
     sql/updates/h3_postgis--4.1.2--4.1.3.sql
     sql/updates/h3_postgis--4.1.3--4.1.4.sql
+    sql/updates/h3_postgis--4.1.4--4.2.0.sql
+    sql/updates/h3_postgis--4.2.0--4.2.1.sql
+    sql/updates/h3_postgis--4.2.1--4.2.2.sql
 )
 
 # link

=== h3/test/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
   opclass_brin
   opclass_btree
   opclass_hash
+  opclass_spgist
   regions
   traversal
   type

=== h3_postgis/test/CMakeLists.txt ===
set(TESTS
  postgis
  rasters
)

if(PostgreSQL_REGRESS)
  add_test(
    NAME "h3_postgis_regress"
    COMMAND ${PostgreSQL_REGRESS}
      --temp-instance=${CMAKE_BINARY_DIR}/tmp
      --bindir=${PostgreSQL_BIN_DIR}
      --inputdir=${CMAKE_CURRENT_SOURCE_DIR}
      --outputdir=${CMAKE_CURRENT_BINARY_DIR}
      --load-extension h3
      --load-extension postgis
      --load-extension postgis_raster
      --load-extension h3_postgis
      ${TESTS}
  )
endif()

if(PostgreSQL_VALIDATE_EXTUPGRADE)
  add_test(
    NAME "h3_postgis_validate_extupgrade"
    COMMAND pg_validate_extupgrade
        --extname h3_postgis
        --from 4.0.0
        --to ${INSTALL_VERSION}
  )
endif()

=== debian/changelog ===
h3-pg (4.2.2-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 10 Feb 2025 12:07:30 +0100

h3-pg (4.2.2-1) unstable; urgency=medium

  * New upstream version 4.2.2.
  * Disable antimeridian test failing on ppc64el.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Feb 2025 12:07:30 +0100

=== debian/tests/control ===
Depends:
 build-essential,
 cmake (>= 3.20),
 postgresql-12-postgis-3, postgresql-13-postgis-3, postgresql-14-postgis-3, postgresql-15-postgis-3, postgresql-16-postgis-3, postgresql-17-postgis-3,
 postgresql-server-dev-12, postgresql-server-dev-13, postgresql-server-dev-14, postgresql-server-dev-15, postgresql-server-dev-16, postgresql-server-dev-17,
 @,
Tests: installcheck
Restrictions: allow-stderr

## h3-pg 4.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,7 @@
 # Listing the version is nice here since it sets lots of useful variables
 project(
   h3-pg
-  VERSION 4.2.2
+  VERSION 4.2.3
   LANGUAGES C
 )
 # set this to "${PROJECT_VERSION}" on release

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2018-2022 Bytes & Brains
+# Copyright 2024 Zacharias Knudsen
 # 
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.

=== h3/CMakeLists.txt ===
--- 
+++ 
@@ -79,6 +79,7 @@
     sql/updates/h3--4.1.4--4.2.0.sql
     sql/updates/h3--4.2.0--4.2.1.sql
     sql/updates/h3--4.2.1--4.2.2.sql
+    sql/updates/h3--4.2.2--4.2.3.sql
 )
 
 # configure

=== h3_postgis/CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,7 @@
     sql/updates/h3_postgis--4.1.4--4.2.0.sql
     sql/updates/h3_postgis--4.2.0--4.2.1.sql
     sql/updates/h3_postgis--4.2.1--4.2.2.sql
+    sql/updates/h3_postgis--4.2.2--4.2.3.sql
 )
 
 # link

=== include/CMakeLists.txt ===
add_library(postgresql_h3_shared
  OBJECT error.c
)
target_link_libraries(postgresql_h3_shared
  PRIVATE PostgreSQL::PostgreSQL
)
target_include_directories(postgresql_h3_shared
  INTERFACE ./
)
set_target_properties(postgresql_h3_shared PROPERTIES POSITION_INDEPENDENT_CODE True)

=== cmake/h3/CMakeLists.txt ===
include(FetchContent)

# Skip core tooling we won't need for extension
set(ENABLE_COVERAGE   OFF)
set(BUILD_BENCHMARKS  OFF)
set(BUILD_FUZZERS     OFF)
set(BUILD_FILTERS     OFF)
set(BUILD_GENERATORS  OFF)
set(ENABLE_FORMAT     OFF)
set(ENABLE_LINTING    OFF)
set(ENABLE_DOCS       OFF)

FetchContent_Declare(
  h3
  URL      https://github.com/uber/h3/archive/refs/tags/v${H3_CORE_VERSION}.tar.gz
  URL_HASH SHA256=${H3_CORE_SHA256}
)
FetchContent_MakeAvailable(h3)

set_target_properties(h3 PROPERTIES
  INTERPROCEDURAL_OPTIMIZATION TRUE
  C_VISIBILITY_PRESET          hidden
)

set(H3_INCLUDE_DIR ${h3_BINARY_DIR}/src/h3lib/include)

=== h3/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
 set(TESTS
+  clustering
+  deprecated
+  edge
   extension
   hierarchy
   indexing
@@ -11,7 +14,7 @@
   regions
   traversal
   type
-  edge
+  vertex
 )
 
 if(PostgreSQL_REGRESS)

=== h3_postgis/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 set(TESTS
+  deprecations
   postgis
   rasters
 )

=== debian/changelog ===
h3-pg (4.2.3-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117260)
  * Add ${postgresql:Breaks}.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 14:36:10 +0200

h3-pg (4.2.3-1) experimental; urgency=medium

  * New upstream version 4.2.3.

 -- Christoph Berg <myon@debian.org>  Wed, 25 Jun 2025 12:00:24 +0200

=== debian/control ===
Source: h3-pg
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 cmake (>= 3.20),
 libh3-dev (>= 4.2.0),
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 256~),
Standards-Version: 4.7.2
Homepage: https://github.com/zachasme/h3-pg
Vcs-Browser: https://salsa.debian.org/postgresql/h3-pg
Vcs-Git: https://salsa.debian.org/postgresql/h3-pg.git

Package: postgresql-18-h3
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL bindings for H3, a hierarchical hexagonal geospatial indexing system
 H3 is a geospatial indexing system using a hexagonal grid that can be
 (approximately) subdivided into finer and finer hexagonal grids, combining the
 benefits of a hexagonal grid with S2's hierarchical subdivisions.
 .
 This package contains the PostgreSQL 18 extension.

=== debian/rules ===
#!/usr/bin/make -f

PGVERSIONS = $(shell pg_buildext supported-versions)

%:
	dh $@ --with pgxs

override_dh_auto_clean:

override_dh_auto_configure:
	+pg_buildext run \
		dh_auto_configure -B build-%v -- -DPostgreSQL_CONFIG=/usr/lib/postgresql/%v/bin/pg_config

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	# defer testing to autopkgtest
	# testsuite creates its own PG instance and doesn't use extension_destdir (yet?)

=== debian/tests/control ===
Depends:
 build-essential,
 cmake (>= 3.20),
 postgresql-18-postgis-3,
 postgresql-server-dev-18,
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
https://github.com/zachasme/h3-pg/tags .*/v(.*).tar.gz
